Bug 454319 - xchat crashes when saving channel list [NEEDINFO]
xchat crashes when saving channel list
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-07 13:34 EDT by Noel Hall
Modified: 2009-07-14 13:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:49:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: needinfo? (speak_it)


Attachments (Terms of Use)
Bug report for xchat crash (360.23 KB, text/plain)
2008-07-07 13:36 EDT, Noel Hall
no flags Details
Backtrace for xchat crash (11.33 KB, text/plain)
2008-07-08 10:12 EDT, Noel Hall
no flags Details

  None (edit)
Description Noel Hall 2008-07-07 13:34:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:
While trying to save a channel list, xchat just terminated and produced a bug report.

Version-Release number of selected component (if applicable):
xchat-2.8.4-16.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1. Select Window - Channel List - Search
2. Filter in Find for '#fedora' and hit enter
3. Select Save List, supply file name and click save and app crashes

Actual Results:
The application crashed and produced a bug report

Expected Results:
The list of channels should have been saved in a file

Additional info:
The application xchat has crashed.
Information about the crash has been successfully collected.

This application is not known to bug-buddy, therefore the bug report cannot be sent to the GNOME Bugzilla.  Please save the bug to a text file and report it to the appropriate bug tracker for this application.
Comment 1 Noel Hall 2008-07-07 13:36:39 EDT
Created attachment 311197 [details]
Bug report for xchat crash

This is the generated bug report for the xchat application crash
Comment 2 Kevin Kofler 2008-07-07 14:14:17 EDT
Can you please produce a backtrace?
su -c "debuginfo-install xchat"
gdb xchat
run
then try to reproduce the crash, and when GDB intercepts the crash:
bt
Comment 3 Noel Hall 2008-07-08 10:12:28 EDT
Created attachment 311269 [details]
Backtrace for xchat crash

This is the output of the backtrace run for xchat crashing when trying to save
a channel list
Comment 4 Kevin Kofler 2008-07-08 10:38:57 EDT
This appears to make it clear what's wrong: xchat_open_file uses open64 with 
O_CREAT without specifying a mode.
Comment 5 Bug Zapper 2009-06-09 21:58:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Kevin Kofler 2009-06-09 22:05:36 EDT
Is this still reproducible with F10 or F11 (XChat 2.8.6)?
Comment 7 Bug Zapper 2009-07-14 13:49:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.